Moose::Autobox::Hash(3)

NAME
Moose::Autobox::Hash - the Hash role

SYNOPOSIS
  use Moose::Autobox;

  print { one => 1, two => 2 }->keys->join(', '); # prints 'one, two'

DESCRIPTION
This is a role to describes a Hash value.

METHODS

delete
merge
    Takes a hashref and returns a new hashref with right precedence shallow merging.

hslice
    Slices a hash but returns the keys and values as a new hashref.

flatten

  Indexed implementation
at
put
exists
keys
values
kv
slice
each
each_key
each_value
each_n_values
meta
print
say

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2006-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.